package de.thpeetz.kontor

import org.springframework.boot.Banner
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication

@SpringBootApplication
@EnableConfigurationProperties(KontorProperties::class)
class KontorApplication

fun main(args: Array<String>) {
	runApplication<KontorApplication>(*args) {
		setBannerMode(Banner.Mode.OFF)
	}
}
